Bug 1284331 - gtk-recordmydesktop failed to launch after install due to missing deps (pygtk)
Summary: gtk-recordmydesktop failed to launch after install due to missing deps (pygtk)
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gtk-recordmydesktop
Version: 23
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Mat Booth
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-11-23 04:03 UTC by Ravishankar Srinivasan
Modified: 2015-12-08 19:52 UTC (History)
1 user (show)

Fixed In Version: gtk-recordmydesktop-0.3.8-15.fc23
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-12-08 19:52:46 UTC


Attachments (Terms of Use)

Description Ravishankar Srinivasan 2015-11-23 04:03:53 UTC
Description of problem:

gtk-recordmydesktop failed to launch after install due to missing deps (pygtk)


Version-Release number of selected component (if applicable):
[rsriniva@valhalla ~]$ rpm -qi gtk-recordmydesktop
Name        : gtk-recordmydesktop
Version     : 0.3.8
Release     : 14.fc23
Architecture: noarch
Install Date: Mon 23 Nov 2015 09:21:28 AM IST
Group       : Unspecified
Size        : 392020
License     : GPLv2+
Signature   : RSA/SHA256, Wed 24 Jun 2015 01:57:37 PM IST, Key ID 32474cf834ec9cba
Source RPM  : gtk-recordmydesktop-0.3.8-14.fc23.src.rpm
Build Date  : Wed 17 Jun 2015 04:52:54 PM IST
Build Host  : arm04-builder01.arm.fedoraproject.org
Relocations : (not relocatable)
Packager    : Fedora Project
Vendor      : Fedora Project
URL         : http://recordmydesktop.sourceforge.net/
Summary     : GUI Desktop session recorder with audio and video
Description :
Graphical frontend for the recordmydesktop desktop session recorder.




How reproducible:

# dnf -y install gtk-recordmydesktop


[rsriniva@valhalla ~]$ gtk-recordMyDesktop 
Traceback (most recent call last):
  File "/usr/bin/gtk-recordMyDesktop", line 37, in <module>
    from recordMyDesktop import rmdSimple
  File "/usr/lib/python2.7/site-packages/recordMyDesktop/rmdSimple.py", line 28, in <module>
    import pygtk
ImportError: No module named pygtk


Steps to Reproduce:
1.
2.
3.

Actual results:
app failed to launch

Expected results:

deps to be installed correctly and program launched


Additional info:

Had to do sudo dnf -y install pygtk2-devel pygtk2 to fix it. app now launches

Comment 1 Fedora Update System 2015-11-30 10:20:52 UTC
gtk-recordmydesktop-0.3.8-15.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-201f175fba

Comment 2 Fedora Update System 2015-12-01 02:22:40 UTC
gtk-recordmydesktop-0.3.8-15.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update gtk-recordmydesktop'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-201f175fba

Comment 3 Fedora Update System 2015-12-08 19:52:45 UTC
gtk-recordmydesktop-0.3.8-15.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.